$( document ).ready(function() {

VL.Connect("ws://" + window.location.host + ":80/ws/measure");

$("#connection").VLConnection();

$("#camera").VLCamera({
		address: window.location.host + ":80/ws/image/default",
		dropCount: 0,
		width: 325,
		height: 245
});

$("#value").VLValueDisplay({
	devices : [
		{ deviceName : "Arduino_Input0", sMin: 0, sMax: 65534, dMin: 0, dMax: 5}
	],
	refresh : 200,
	format: "0.00 V"
});

$("#fast_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Fast", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 10},
    { deviceName : "Arduino_Output0" , loadMethod : "Fast", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 10},
	],
	loadOnCreate : true,
	chartParams : {
		colors: ["#0000ff", "#00ff00"],
		yaxis : {
			max: 5.1,
			min: 0,
			color: "#000000",
			title: 'Value [V]'
		},
		xaxis : {
			showLabels:false,
			noTicks: 10,
			title: 'Time / s (1 tick is 1 s)'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
	autoScroll : true,
	autoScrollWindowX : 10
});

$("#relay_off").VLButton({
	devices : [
		{ deviceName : "Arduino_Output0", value: 0 }
	],
	refresh : 100,
	description : "Off"
});

$("#relay_on").VLButton({
	devices : [
		{ deviceName : "Arduino_Output0", value: 65534 }
	],
	refresh : 100,
	description : "On"
});

$("#relay_value").VLValueDisplay({
	devices : [
		{ deviceName : "Arduino_Output0", sMin:0, sMax: 65534, dMin: 0, dMax: 1}
	],
	refresh : 100,
	format: "0"
});

$("#experiment_control").VLExperimentControl({
	devices : [
		{ deviceName : "Arduino_Input0"},
		{ deviceName : "Arduino_Output0"},
	],
	experimentNumberSlot: "experimentId",
	startEvent : "start_experiment",
	stopEvent : "stop_experiment",
	onStopEvent : "experiment_selection_valid"
});

$("#start_experiment").VLButton({
	onClickEvent : "start_experiment",
	description : "Start"
});

$("#stop_experiment").VLButton({
	onClickEvent : "stop_experiment",
	description : "Stop"
});

$("#experiment_graph").VLChart({
	devices : [
		{ deviceName : "Arduino_Input0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
		{ deviceName : "Arduino_Output0" , loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 3000},
	],
	loadEvents : ["experiment_selection_valid"],
	requireData: false,
	chartParams : {
		colors: ["#0000ff", "#00ff00"],
		yaxis : {
			max: 5.2,
			min: 0,
			color: "#000000",
			title: 'Value [V]',
		},
		xaxis : {
			noTicks: 10,
			title: 'Time / s'
		},
		grid : {
			tickColor: "#B0B0B0",
			backgroundColor: "#ffffff"
		},
		shadowSize : 0,
		HtmlText: false
	},
});

$("#experiment_select").VLExperimentSelect({
	experimentNumberSlot : "experimentId",
	refreshEvent: "experiment_selection_valid",
	onSelectEvent: "experiment_selection_valid"
});

$("#experiment_export_csv_comma").VLButton({
	onClickEvent : "load_data_csv_comma",
	description : "Values to CSV file (commas)",
	autoDisable : false
});
$("#experiment_export_csv_comma").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
    { deviceName : "Arduino_Output0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 3000},
  ],

	loadEvent : "load_data_csv_comma",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0", "Arduino_Output0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["V [V]", "Charging [1]"],
		valueFormats: ['0.000', '0.000'],
		beforeAll: "",
		delimiterHead: ";",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ";",
		afterDataLine: "\n",
		afterAll: "",
    locale: "cz"
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_csv_dot").VLButton({
	onClickEvent : "load_data_csv_dot",
	description : "Values to CSV file (dots)",
	autoDisable : false
});
$("#experiment_export_csv_dot").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
    { deviceName : "Arduino_Output0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 3000},
	],

	loadEvent : "load_data_csv_dot",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0", "Arduino_Output0"],
		timeHead: "Time [s]",
		timeFormat: '"0.000"',
		columnHeads: ["V [V]", "Charging [1]"],
		valueFormats: ['0.000', '0.000'],
		beforeAll: "",
		delimiterHead: ",",
		betweenHeadLines: "\n",
		afterHead: "\n",
		beforeDataLine: "",
		delimiterDataLine: ";",
		afterDataLine: "\n",
		afterAll: "",
    locale: "en"
	},

	exportParams: {
		fileName: "data.csv",
		contentType: "text/csv;charset=utf-8"
	}
});

$("#experiment_export_html_comma").VLButton({
	onClickEvent : "load_data_html_comma",
	description : "Values to new HTML page (commas)",
	autoDisable : false
});
$("#experiment_export_html_comma").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
    { deviceName : "Arduino_Output0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 3000},
	],

	loadEvent : "load_data_html_comma",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0", "Arduino_Output0"],
		timeHead: "Time [s]",
		timeFormat: '0.000',
		columnHeads: ["V [V]", "Charging [1]"],
		valueFormats: ['0.000', '0.000'],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>",
    locale: "cz"    	
	},

	exportFunc: VLH.exportToWindow
});

$("#experiment_export_html_dot").VLButton({
	onClickEvent : "load_data_html_dot",
	description : "Values to new HTML page (dots)",
	autoDisable : false
});
$("#experiment_export_html_dot").VLDataOutput({
	devices :  [
	  { deviceName : "Arduino_Input0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 5, timeLimit: 3000},
    { deviceName : "Arduino_Output0", loadMethod : "Experiment", slot : "experimentId", sMin: 0, sMax: 65534, dMin: 0, dMax: 1, timeLimit: 3000},
	],

	loadEvent : "load_data_html_dot",
	formatFunc: VLH.formatUniversal,
	formatParams: {
		series: ["Arduino_Input0", "Arduino_Output0"],
		timeHead: "Time [s]",
		timeFormat: '0.000',
		columnHeads: ["V [V]", "Charging [1]"],
		valueFormats: ['0.000', '0.000'],
		beforeAll: "<table><thead><tr><th align='center'>",
		delimiterHead: "</th><th align='center'>",
		betweenHeadLines: "</th></tr><tr><th align='center'>",
		afterHead: "</th></tr></thead><tbody>",
		beforeDataLine: "<tr><td align='center'>",
		delimiterDataLine: "</td><td align='center'>",
		afterDataLine: "</td></tr>",
		afterAll: "</tbody></table>",
    locale: "en"	
	},

	exportFunc: VLH.exportToWindow
});


});
